## com.google.debugging.sourcemap
Interface SourceMapConsumer

All Superinterfaces:
  SourceMapping

All Known Implementing Classes:
  SourceMapConsumerV1, SourceMapConsumerV2, SourceMapConsumerV3

    public interface SourceMapConsumer

extends SourceMapping

A SourceMapConsumer is a SourceMapping provide that can parse from a raw string.

Method Summary
`void` | `parse(String contents)` Parses the given contents containing a source map to provide initialize a class providing SourceMapping.

Methods inherited from interface com.google.debugging.sourcemap.SourceMapping
`getMappingForLine`

Method Detail

### parse

    void parse(String contents)
               throws SourceMapParseException

  Parses the given contents containing a source map to provide initialize a class providing SourceMapping.

  Throws:
    `SourceMapParseException`